#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	%{version}
# packages version, not cmake config version (which is 5.24.5)
%define		ka_ver		%{version}
%define		kf_ver		5.105.0
%define		qt_ver		5.15.2
%define		kaname		akonadi-contacts
Summary:	Akonadi Contacts
Summary(pl.UTF-8):	Komponent kontaktów dla Akonadi
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	e4b501e5a6fedcb972b3ff2c31e8577a
URL:		https://kde.org/
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5Gui-devel >= %{qt_ver}
BuildRequires:	Qt5Test-devel >= %{qt_ver}
BuildRequires:	Qt5Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-tools
BuildRequires:	grantlee-qt5-devel >= 5.3
BuildRequires:	ka5-akonadi-devel >= %{ka_ver}
BuildRequires:	ka5-grantleetheme-devel >= %{ka_ver}
BuildRequires:	ka5-kmime-devel >= %{ka_ver}
BuildRequires:	kf5-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf5-kcodecs-devel >= %{kf_ver}
BuildRequires:	kf5-kcompletion-devel >= %{kf_ver}
BuildRequires:	kf5-kconfig-devel >= %{kf_ver}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kf_ver}
BuildRequires:	kf5-kcontacts-devel >= %{kf_ver}
BuildRequires:	kf5-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf5-ki18n-devel >= %{kf_ver}
BuildRequires:	kf5-kiconthemes-devel >= %{kf_ver}
BuildRequires:	kf5-kio-devel >= %{kf_ver}
BuildRequires:	kf5-kservice-devel >= %{kf_ver}
BuildRequires:	kf5-ktextwidgets-devel >= %{kf_ver}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kf_ver}
BuildRequires:	kf5-kxmlgui-devel >= %{kf_ver}
BuildRequires:	kf5-prison-devel >= %{kf_ver}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	grantlee-qt5 >= 5.3
Requires:	ka5-akonadi >= %{ka_ver}
Requires:	ka5-grantleetheme >= %{ka_ver}
Requires:	ka5-kmime >= %{ka_ver}
Requires:	kf5-kcodecs >= %{kf_ver}
Requires:	kf5-kcompletion >= %{kf_ver}
Requires:	kf5-kconfig >= %{kf_ver}
Requires:	kf5-kconfigwidgets >= %{kf_ver}
Requires:	kf5-kcontacts >= %{kf_ver}
Requires:	kf5-kcoreaddons >= %{kf_ver}
Requires:	kf5-ki18n >= %{kf_ver}
Requires:	kf5-kiconthemes >= %{kf_ver}
Requires:	kf5-kio >= %{kf_ver}
Requires:	kf5-prison >= %{kf_ver}
Requires:	kf5-ktextwidgets >= %{kf_ver}
Requires:	kf5-kwidgetsaddons >= %{kf_ver}
Requires:	kf5-kxmlgui >= %{kf_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Akonadi Contacts is a library that effectively bridges the
type-agnostic API of the Akonadi client libraries and the
domain-specific KContacts library. It provides jobs, models and other
helpers to make working with contacts and addressbooks through Akonadi
easier.

%description -l pl.UTF-8
Akonadi Contacts to biblioteka efektywnie łącząca niezależne od typów
API bibliotek klienckich Akonadi oraz bibliotekę KContacts. Zapewnia
funkcje pomocnicze dla zadań, modeli itp., ułatwiające pracę z
kontaktami i książkami adresowymi poprzez Akonadi.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Widgets-devel >= %{qt_ver}
Requires:	ka5-akonadi-devel >= %{ka_ver}
Requires:	ka5-grantleetheme-devel >= %{ka_ver}
Requires:	kf5-kcontacts-devel >= %{kf_ver}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_SYSCONFDIR=%{_sysconfdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# akonadicontact5 and akonadicontact5-serializer domains
%find_lang %{kaname} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKPim5AkonadiContact.so.5
%attr(755,root,root) %{_libdir}/libKPim5AkonadiContact.so.*.*.*
%ghost %{_libdir}/libKPim5ContactEditor.so.5
%attr(755,root,root) %{_libdir}/libKPim5ContactEditor.so.*.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/akonadi_serializer_addressee.so
%attr(755,root,root) %{_libdir}/qt5/plugins/akonadi_serializer_contactgroup.so
%{_datadir}/akonadi/plugins/serializer/akonadi_serializer_addressee.desktop
%{_datadir}/akonadi/plugins/serializer/akonadi_serializer_contactgroup.desktop
%{_datadir}/kf5/akonadi/contact
%{_datadir}/qlogging-categories5/akonadi-contacts.categories
%{_datadir}/qlogging-categories5/akonadi-contacts.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKPim5AkonadiContact.so
%{_libdir}/libKPim5ContactEditor.so
%{_includedir}/KPim5/AkonadiContact
%{_includedir}/KPim5/AkonadiContactEditor
%{_libdir}/cmake/KF5AkonadiContactEditor
%{_libdir}/cmake/KPim5AkonadiContact
%{_libdir}/cmake/KPim5ContactEditor
%{_libdir}/qt5/mkspecs/modules/qt_AkonadiContact.pri
%{_libdir}/qt5/mkspecs/modules/qt_ContactEditor.pri
%changelog
* Thu Oct 31 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-akonadi-contacts.git;a=log;h=master

* Thu Oct 31 2024 Jakub Bogusz <qboosh@pld-linux.org> a916221
- release 2

* Sun Oct 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 1df5d30
- updated dependencies

* Sun Oct 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 89a0844
- macros for ninja

* Sun Oct 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 8cb2808
- pl, cleanup

* Fri Oct 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 0ad548c
- devel dependencies (from cmake file)

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 81d50c8
- updated to 23.08.5

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b374101
- Revert "- 24.01.95"

* Mon Feb 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 16b94d8
- 24.01.95

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5b0d5f7
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 57b5c96
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a16985d
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 4791030
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> befbec4
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8cf8651
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 6c29860
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> dd07d5b
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> e920b1d
- updated to 23.04.0

* Mon Apr 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1e92f51
- relup

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 16d9c40
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d7f1c0a
- updated to 22.12.3

